package fachada;

import java.rmi.RemoteException;

import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

import negocio.exception.UsuarioNaoLogadoException;
import exception.ServidorIndisponivelException;

public class ListenerSessao implements HttpSessionListener{

	@Override
	public void sessionCreated(HttpSessionEvent arg0) {}

	@Override
	public void sessionDestroyed(HttpSessionEvent arg0) {
		HttpSession h = arg0.getSession();
		
		if(h.getAttribute("sessao") != null){
			Long sessao = (Long) h.getAttribute("sessao");
			h.invalidate();
			
			try {
				Fachada.getFachada().logoff(sessao);
			} catch (RemoteException e) {
			} catch (UsuarioNaoLogadoException e) {
			} catch (ServidorIndisponivelException e) {
			}
		}
	}


}
