package util;

import java.util.StringTokenizer;
import java.util.Vector;

public class Util {
	
	private Vector<String> tabelaCaracteres;
	private Vector<String> tabelaStrings;
	private static Util instancia;
	
	static{
		String txt = " &aacute;  &Aacute;  &acirc;  &Acirc;  &agrave;  &Agrave; "+
        " &atilde;  &Atilde;  &ccedil;  &Ccedil;  &eacute;  &Eacute; "+
        " &ecirc;  &Ecirc;  &iacute;  &Iacute;  &oacute;  &Oacute; "+
        " &ocirc;  &Ocirc;  &otilde;  &Otilde;  &uacute;  &UacuteA; < &lt; > &gt; " +
        "\" &quot;  &reg;  &copy;  &ordm;  &ordf;  &ndash;  &lsquo; ' &lsquo;  &rsquo;";
		
		Util.instancia = new Util();
		
		StringTokenizer s = new StringTokenizer(txt, " ");
		
		while(s.hasMoreTokens()){
			Util.instancia.tabelaCaracteres.add(s.nextToken());
			Util.instancia.tabelaStrings.add(s.nextToken());
		}
	}
	
	private Util() {
		this.tabelaCaracteres = new Vector<String>();
		this.tabelaStrings = new Vector<String>();
	}
	
	public static String toHTMLString(String s){
		if(s != null){
			for(int i = 0; i < Util.instancia.tabelaCaracteres.size(); i++){
				s = s.replace(Util.instancia.tabelaCaracteres.get(i), Util.instancia.tabelaStrings.get(i));
			}
			
			s = s.replace("\n", "<br></br>");
			s = s.replace("& ", "&amp; ");		
		}
		return s;
	}
	
	public static String htmlToString(String s){
		if(s != null){
			for(int i = 0; i < Util.instancia.tabelaStrings.size(); i++){
				s = s.replace(Util.instancia.tabelaStrings.get(i), Util.instancia.tabelaCaracteres.get(i));
			}
			
			s = s.replace("<br>", "\n");
			s = s.replace("</br>", "");
			s = s.replace("&amp; ", "& ");		
		}
		
		return s;
	}

}
